commit 4bd2620b24c7db0438565df32501ef770e53b687
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Jan 7 00:25:22 2025 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 197d498df29..0bf88b7cb92 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250106
+20250107
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index c0e80b0b404..202cc035046 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,8 @@
+2025-01-06  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* exp_aggr.adb (Two_Pass_Aggregate_Expansion): Use the base type of
+	the index type to find the type used to compute the length.
+
 2025-01-05  Estevan Castilho (Tevo)  <estevan.cps@gmail.com>
 
 	* libgnarl/s-taprop__dummy.adb: Remove use clause for
diff --git a/libgcc/ChangeLog b/libgcc/ChangeLog
index 177a9108960..8b9bd0cc02d 100644
--- a/libgcc/ChangeLog
+++ b/libgcc/ChangeLog
@@ -1,3 +1,7 @@
+2025-01-06  Stafford Horne  <shorne@gmail.com>
+
+	* config/or1k/lib1funcs.S: Add .note.GNU-stack section on linux.
+
 2024-09-23  Iain Sandoe  <iain@sandoe.co.uk>
 
 	Backported from master:

